%Halv lengde av bru
L=6150;                                        %[mm]


%Elastisitetsmoduler
Ea=2.1*10^5;                                   %[N/mm^2]
Ec=36000;                                      %[N/mm^2]


%Effekter av kryp
ww=0;                                          %[-] Krypmultiplikator
n=(Ea/Ec)*(1+(ww*1.8987));                     %[-] Modulrt forholdstall


%Arealer
Aa=42128;                                      %[mm^2]
Ac=1.6*10^6;                                   %[mm^2]


%Avstand mellom nytralakser
a=662;                                         %[mm]


%Andre arealmoment
Ia=6857126251;                                 %[mm^4]
Ic=2.133333*10^10;                             %[mm^4]
I0=(Ic/n)+Ia;                                  %[mm^4]


%Konstanter
deltAo=(n/Ac)+(1/Aa);                          %[mm^-2]
deltAm=(a^2)+(I0*deltAo);                      %[mm^2]


%Jevnt fordelt last
w=100;                                         %[N/mm]


%Svinntyning
epsilon=0.0002162;                             %[-]


%Dyblenes stivhet
k=52780*2;                                     %[N/mm]


%Avstanden mellom dyblene (c/c)
p=250;                                         %[mm]


%Konstanter
beta1=((p*a)/(k*deltAm));
alpha21=((k*deltAm)/(p*Ea*I0));
alpha1=sqrt(alpha21);
x=(0:L);                                       %plasseringen i bjelken


for i=1:L+1
    %Forksyvningen mellom stlet og betongen    
    s1(i)=(beta1*w*x(i))-((beta1*w)+(epsilon))/(alpha1*cosh(alpha1*L))*sinh(alpha1*x(i));    %[mm]
    
    %Den langsgende skjrkraften
    Vl1(i)=(k/p)*s1(i); %[N/mm]

    K=((k*a)/(p*Ea*I0))*((0.5*beta1*w*x(L+1)^2)-(((beta1)*w+(epsilon))/(alpha1*cosh(alpha1*L)))*((cosh(alpha1*x(L+1)))/(alpha1)))-((0.5*w*x(L+1)^2)/(Ea*I0)); %konstant

    phi1(i)=((k*a)/(p*Ea*I0))*((0.5*beta1*w*x(i)^2)-(((beta1)*w+(epsilon))/(alpha1*cosh(alpha1*L)))*((cosh(alpha1*x(i)))/(alpha1)))-((0.5*w*x(i)^2)/(Ea*I0))-K; %rotasjonsvinkelen
end

%Momentene
Ma=phi1(1)*Ea*Ia;                              %[Nmm]
Mc=phi1(1)*(Ea/n)*Ic;                          %[Nmm] 


%Total skjrkraft
tVl1=sum(Vl1)                                  %[N]


%Spenninger betong
csigmatopp=-(tVl1/Ac)-(Mc/Ic)*200              %[N/mm^2]
csigmabunn=-(tVl1/Ac)+(Mc/Ic)*200              %[N/mm^2]


%Spenninger stl
asigmatopp=(tVl1/Aa)-(Ma/Ia)*462               %[N/mm^2]
asigmabunn=(tVl1/Aa)+(Ma/Ia)*462               %[N/mm^2]


