%Script som brukes til svinnberegninger og 
% forenklede temperaturberegninger ved fullstendig samvirke

%Elastisitetsmoduler
Ea=2.1*10^5;                                %[N/mm^2]
Ec=36000;                                   %[N/mm^2]


%Effekter av kryp
w=0.55;                                     %[-] Krypmultiplikator
n=(Ea/Ec)*(1+(w*1.8987));                   %[-] Modulrt forholdstall


%Arealer
Aa=42128;                                   %[mm^2]
Ac=1.6*10^6;                                %[mm^2]
Acekv=(Ac/n);                               %[mm^2]
A=Aa+Acekv;                                 %[mm^2]


%Avstander mellom nytralakser
a=662;                                      %[mm]
aa=(Acekv/A)*a;                             %[mm]
ac=(Aa/A)*a;                                %[mm]


%Andre arealmoment
Ia=6857126251;                              %[mm^4]
Ic=(2.56*10^11)/12;                         %[mm^4]
Icekv=Ic/n;                                 %[mm^4]
I=Ia+Icekv+((Aa*Acekv*a^2)/(A));            %[mm^4]


%Svinntyning
esv=2.164*10^(-4);                          %[-]


%Krefter i samvirkets nytralakse
Nsv=esv*Ac*Ea/n;                            %[N]
Msv=Nsv*ac;                                 %[Nmm]


%Krefter/momenter i betongens og stlets nytralakse
Ncsv=Nsv*(1-(Acekv/A)-((Acekv*ac^2)/(I)));  %[N]
Nasv=Nsv*(-(Aa/A)+((ac*aa*Aa)/(I)));        %[N]
Masv=Msv*(Ia/I);                            %[Nmm]
Mcsv=Msv*(Ic/(n*I));                        %[Nmm]


%Spenninger betong
csigmatopp=(Ncsv/Ac)-(Mcsv/Ic)*200;         %[N/mm^2]
csigmabunn=(Ncsv/Ac)+(Mcsv/Ic)*200;         %[N/mm^2]


%Spenninger stl
asigmatopp=(Nasv/Aa)-(Masv/Ia)*462;         %[N/mm^2]
asigmabunn=(Nasv/Aa)+(Masv/Ia)*462;         %[N/mm^2]



